bts_features.c File Reference

osmo-bts features. More...

`#include <osmocom/gsm/bts_features.h>`

## Functions

const char * | osmo_bts_feature_name (enum osmo_bts_features feature)
| return description string of a BTS feature (osmo_bts_features_descs). More...

## Variables

const struct value_string | osmo_bts_features_descs []
const struct value_string | osmo_bts_features_names []

## Detailed Description

osmo-bts features.

## Function Documentation

## osmo_bts_feature_name()

const char* osmo_bts_feature_name | ( | enum osmo_bts_features | feature | ) |

return description string of a BTS feature (osmo_bts_features_descs).

To get the plain feature name, use osmo_bts_features_name() instead.

References get_value_string(), and osmo_bts_features_descs.

## Variable Documentation

## osmo_bts_features_descs

const struct value_string osmo_bts_features_descs[]

Initial value:
= {
{ BTS_FEAT_HSCSD, "HSCSD" },
{ BTS_FEAT_GPRS, "GPRS" },
{ BTS_FEAT_EGPRS, "EGPRS" },
{ BTS_FEAT_ECSD, "ECSD" },
{ BTS_FEAT_HOPPING, "Frequency Hopping" },
{ BTS_FEAT_MULTI_TSC, "Multi-TSC" },
{ BTS_FEAT_OML_ALERTS, "OML Alerts" },
{ BTS_FEAT_AGCH_PCH_PROP, "AGCH/PCH proportional allocation" },
{ BTS_FEAT_CBCH, "CBCH" },
{ BTS_FEAT_SPEECH_F_V1, "Fullrate speech V1" },
{ BTS_FEAT_SPEECH_H_V1, "Halfrate speech V1" },
{ BTS_FEAT_SPEECH_F_EFR, "Fullrate speech EFR" },
{ BTS_FEAT_SPEECH_F_AMR, "Fullrate speech AMR" },
{ BTS_FEAT_SPEECH_H_AMR, "Halfrate speech AMR" },
{ BTS_FEAT_ETWS_PN, "ETWS Primary Notification via PCH" },
{ BTS_FEAT_PAGING_COORDINATION, "BSS Paging Coordination" },
{ BTS_FEAT_IPV6_NSVC, "NSVC IPv6" },
{ BTS_FEAT_ACCH_REP, "FACCH/SACCH Repetition" },
{ BTS_FEAT_CCN, "Cell Change Notification (CCN)" },
{ BTS_FEAT_VAMOS, "VAMOS (Voice services over Adaptive Multi-user channels on One Slot)" },
{ BTS_FEAT_ABIS_OSMO_PCU, "OsmoPCU over OML link IPA multiplex" },
{ BTS_FEAT_BCCH_POWER_RED, "BCCH carrier power reduction mode" },
{ BTS_FEAT_DYN_TS_SDCCH8, "Dynamic Timeslot configuration as SDCCH8" },
{ BTS_FEAT_ACCH_TEMP_OVP, "FACCH/SACCH Temporary overpower" },
{ 0, NULL }
}
BTS_FEAT_ABIS_OSMO_PCU
@ BTS_FEAT_ABIS_OSMO_PCU
Definition: bts_features.h:32
BTS_FEAT_SPEECH_H_AMR
@ BTS_FEAT_SPEECH_H_AMR
Definition: bts_features.h:25
BTS_FEAT_PAGING_COORDINATION
@ BTS_FEAT_PAGING_COORDINATION
Definition: bts_features.h:27
BTS_FEAT_SPEECH_F_V1
@ BTS_FEAT_SPEECH_F_V1
Definition: bts_features.h:21
BTS_FEAT_OML_ALERTS
@ BTS_FEAT_OML_ALERTS
Definition: bts_features.h:18
BTS_FEAT_AGCH_PCH_PROP
@ BTS_FEAT_AGCH_PCH_PROP
Definition: bts_features.h:19
BTS_FEAT_ECSD
@ BTS_FEAT_ECSD
Definition: bts_features.h:15
BTS_FEAT_DYN_TS_SDCCH8
@ BTS_FEAT_DYN_TS_SDCCH8
Definition: bts_features.h:34
BTS_FEAT_IPV6_NSVC
@ BTS_FEAT_IPV6_NSVC
Definition: bts_features.h:28
BTS_FEAT_MULTI_TSC
@ BTS_FEAT_MULTI_TSC
Definition: bts_features.h:17
BTS_FEAT_BCCH_POWER_RED
@ BTS_FEAT_BCCH_POWER_RED
Definition: bts_features.h:33
BTS_FEAT_VAMOS
@ BTS_FEAT_VAMOS
Definition: bts_features.h:31
BTS_FEAT_SPEECH_F_AMR
@ BTS_FEAT_SPEECH_F_AMR
Definition: bts_features.h:24
BTS_FEAT_ACCH_REP
@ BTS_FEAT_ACCH_REP
Definition: bts_features.h:29
BTS_FEAT_GPRS
@ BTS_FEAT_GPRS
Definition: bts_features.h:13
BTS_FEAT_ETWS_PN
@ BTS_FEAT_ETWS_PN
Definition: bts_features.h:26
BTS_FEAT_CCN
@ BTS_FEAT_CCN
Definition: bts_features.h:30
BTS_FEAT_HOPPING
@ BTS_FEAT_HOPPING
Definition: bts_features.h:16
BTS_FEAT_HSCSD
@ BTS_FEAT_HSCSD
Definition: bts_features.h:12
BTS_FEAT_SPEECH_H_V1
@ BTS_FEAT_SPEECH_H_V1
Definition: bts_features.h:22
BTS_FEAT_CBCH
@ BTS_FEAT_CBCH
Definition: bts_features.h:20
BTS_FEAT_ACCH_TEMP_OVP
@ BTS_FEAT_ACCH_TEMP_OVP
Definition: bts_features.h:35
BTS_FEAT_EGPRS
@ BTS_FEAT_EGPRS
Definition: bts_features.h:14
BTS_FEAT_SPEECH_F_EFR
@ BTS_FEAT_SPEECH_F_EFR
Definition: bts_features.h:23

Referenced by osmo_bts_feature_name(), and osmo_bts_features_desc().

## osmo_bts_features_names

const struct value_string osmo_bts_features_names[]

Initial value:
= {
{ BTS_FEAT_HSCSD, "HSCSD" },
{ BTS_FEAT_GPRS, "GPRS" },
{ BTS_FEAT_EGPRS, "EGPRS" },
{ BTS_FEAT_ECSD, "ECSD" },
{ BTS_FEAT_HOPPING, "HOPPING" },
{ BTS_FEAT_MULTI_TSC, "MULTI_TSC" },
{ BTS_FEAT_OML_ALERTS, "OML_ALERTS" },
{ BTS_FEAT_AGCH_PCH_PROP, "AGCH_PCH_PROP" },
{ BTS_FEAT_CBCH, "CBCH" },
{ BTS_FEAT_SPEECH_F_V1, "SPEECH_F_V1" },
{ BTS_FEAT_SPEECH_H_V1, "SPEECH_H_V1" },
{ BTS_FEAT_SPEECH_F_EFR, "SPEECH_F_EFR" },
{ BTS_FEAT_SPEECH_F_AMR, "SPEECH_F_AMR" },
{ BTS_FEAT_SPEECH_H_AMR, "SPEECH_H_AMR" },
{ BTS_FEAT_ETWS_PN, "ETWS_PN" },
{ BTS_FEAT_PAGING_COORDINATION, "PAGING_COORDINATION" },
{ BTS_FEAT_IPV6_NSVC, "IPV6_NSVC" },
{ BTS_FEAT_ACCH_REP, "ACCH_REP" },
{ BTS_FEAT_CCN, "CCN" },
{ BTS_FEAT_VAMOS, "VAMOS" },
{ BTS_FEAT_ABIS_OSMO_PCU, "ABIS_OSMO_PCU" },
{ BTS_FEAT_BCCH_POWER_RED, "BCCH_PWR_RED" },
{ BTS_FEAT_DYN_TS_SDCCH8, "DYN_TS_SDCCH8" },
{}
}

Referenced by osmo_bts_features_name().